@setlocal
@REM USER VARIABLES - SET AS DESIRED
@set TEMPVMAP=c:\FG\data\vmap0\v0sas\vmaplv0
@set TEMPX0=bin\vpf-summary.exe
@REM ===============================

@REM Examples using vmap-summary.bat to run vpf-summary.exe
@REM database_path [library [coverage [feature]]]
@REM database_path                           = show a full sumary
@REM database_path sasaus                    = show library 'sasaus', 'noamer', 'eurnasia', 'soamafr' 
@REM database_path sasaus veg                = show 'veg' 
@REM database_path sasaus veg tundraa        = show 'Tundra' coverage
@REM database_path sasaus veg tundraa f_code = and f_code for tundraaa

@REM --- or for Description: Political Boundary Point Features ---
@REM database_path sasaus bnd polbndp

@REM List of 'coverage' names...
@REM libref tileref bnd dq elev hydro ind phys pop trans util veg
@REM summarising each of these will give the 'feature' associated to each.

@echo Show VMAP0 summary, at %TEMPVMAP%...

@REM CHECK EXISTANCE
@if NOT EXIST %TEMPVMAP%\. goto NOVMAP
@if NOT EXIST %TEMPX0% goto NOX0

%TEMPX0% %TEMPVMAP% %1 %2 %3 %4 %5 %6

@goto END

:NOVMAP
@echo ERROR: Can not locate VMAP0 directory... on
@echo %TEMPVMAP%
@goto END

:NOX0
@echo ERROR: Can not locate vpf-summary tool... at
@echo %TEMPX0%
@echo Check name. location, and fix...
@goto END

:END
@endlocal
